<?php

declare(strict_types=1);

namespace Plugins\Larablog\Payment\Domain;

final class ProductType
{
    public const ARTICLE = 'article';

    public const THEME = 'theme';

    public const MEMBERSHIP = 'membership';

    /**
     * @return list<string>
     */
    public static function all(): array
    {
        return [
            self::ARTICLE,
            self::THEME,
            self::MEMBERSHIP,
        ];
    }
}
